%define DBVer	1.79.1

Summary:	Debian apt tools for %_real_vendor
Name:		apt-mga
Version:	2.5.4
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Packaging
Url:		https://ftp.debian.org/debian/pool/main/a/apt/
Source:		https://ftp.debian.org/debian/pool/main/a/apt/apt_%{version}.tar.xz
Patch0:		apt_0.8.9-fix-build.patch
Patch1:		apt-mga-2.5.4-fix-include-gcc15.patch
Patch2:		apt-mga-2.5.4-cmake-4.0.patch
BuildRequires:	libtool-base
BuildRequires:  docbook-style-xsl >= 1.78.1
# Mandatory for apt-ftparchive build
BuildRequires:  db5-devel
BuildRequires:  dpkg
BuildRequires:  doxygen
BuildRequires:  xsltproc
BuildRequires:  po4a
BuildRequires:  w3m
BuildRequires:  triehash
BuildRequires:  perl-Dpkg
#
BuildRequires:  gtest-devel
BuildRequires:  bzip2-devel
BuildRequires:  pkgconfig(libcurl) >= 7.19.4
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(liblz4)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(libxxhash)
BuildRequires:  cmake >= 3.4
Requires:       bzip2
Requires:       gnupg2
Conflicts:      apt
Conflicts:      zypper

%description
Provides tools useful to manage a Debian repository on a %_real_vendor
distribution (apt-ftparchive e.g.).

#--------------------------------------------------------------------

%package devel
Summary:        Debian apt tools for %_real_vendor - devel
Group:		System/Packaging

%description devel
Development files for %{name}.

%files devel
%{_includedir}/apt-pkg

#--------------------------------------------------------------------

%prep
%autosetup -p0 -n apt-%{version}

%build
# As no DebianDoc is available yet, remove xml doc build
perl -pi -e 's/^\[type: docbook\]/#[type: docbook]/' doc/po4a.conf
perl -pi -e 's/^\[type: sgml\]/#[type: sgml]/' doc/po4a.conf
mkdir -p  %{_vpath_builddir}/doc/doxygen
%cmake
%cmake_build

%install
%cmake_install

%files
%license COPYING* debian/copyright
%doc README.* AUTHORS
%doc %{_docdir}/libapt-pkg-doc
%doc %{_docdir}/apt-doc
%doc %{_docdir}/apt-utils/examples/*
%doc %{_docdir}/apt/examples/*

%{_bindir}/apt*
%{_libdir}/libapt*
%dir %{_libexecdir}/apt
%{_libexecdir}/apt/*/*
%{_libexecdir}/apt/apt*
%{_libexecdir}/dpkg/methods/apt/*
%{_datadir}/bash-completion/completions/apt
%{_mandir}/*/*/*xz
%{_mandir}/*/*xz
%{_datadir}/locale/*/LC_MESSAGES/*mo
%{_libdir}/pkgconfig/apt-pkg.pc


%changelog
* Thu Jul 03 2025 aurr <aurr> 2.5.4-3.mga10
+ Revision: 2244729
- fix build with cmake-4.0

* Tue May 27 2025 daviddavid <daviddavid> 2.5.4-2.mga10
+ Revision: 2186735
- add patch to fix build with gcc 15 (thanks to Aurelian R)

* Wed Nov 23 2022 neoclust <neoclust> 2.5.4-1.mga9
+ Revision: 1910585
- New version 2.5.4
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Dec 07 2020 tv <tv> 2.1.8-2.mga8
+ Revision: 1654275
- Build with db5.3 rather than with obsolete 4.8

* Mon Aug 10 2020 bcornec <bcornec> 2.1.8-1.mga8
+ Revision: 1612847
- Update to upstream apt_2.1.8

* Sat Feb 15 2020 daviddavid <daviddavid> 1.4.6-6.mga8
+ Revision: 1526565
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Jan 05 2019 cjw <cjw> 1.4.6-5.mga7
+ Revision: 1349626
- revert previous change and add conflicts on zypper

* Tue Jan 01 2019 luigiwalser <luigiwalser> 1.4.6-4.mga7
+ Revision: 1348068
- obsolete apt

* Fri Sep 21 2018 umeabot <umeabot> 1.4.6-3.mga7
+ Revision: 1294473
- Mageia 7 Mass Rebuild

* Mon May 07 2018 wally <wally> 1.4.6-2.mga7
+ Revision: 1227524
- switch to gnupg2

* Tue Jun 27 2017 bcornec <bcornec> 1.4.6-1.mga6
+ Revision: 1108571
- update to upstream 1.4.6

* Mon Jun 26 2017 bcornec <bcornec> 0.9.7.9+deb7u7-1.mga6
+ Revision: 1108486
- update to upstream 0.9.7.9+deb7u7

* Thu Oct 16 2014 bcornec <bcornec> 0.8.10.3+squeeze5-1.mga5
+ Revision: 759549
- update to upstream 0.8.10.3+squeeze5
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.9-12.mga5
+ Revision: 677875
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 bcornec <bcornec> 0.8.9-11.mga4
+ Revision: 565080
- apt-mga requires docbook-style-xsl >= 1.78.1 to build and libdb4.8-devel in order to have apt-ftparchive built and a minor patch to configure in order to use the right mga libdb

* Tue Oct 22 2013 umeabot <umeabot> 0.8.9-10.mga4
+ Revision: 545739
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 0.8.9-9.mga4
+ Revision: 501686
- Fix build

* Fri Jan 25 2013 cjw <cjw> 0.8.9-8.mga3
+ Revision: 392195
- another fix for parallel builds

* Tue Jan 22 2013 fwang <fwang> 0.8.9-7.mga3
+ Revision: 390723
- update rpm group

* Fri Jan 18 2013 pterjan <pterjan> 0.8.9-6.mga3
+ Revision: 389450
- Make sure includes are done before starting the build
- Fix License

* Fri Jan 18 2013 pterjan <pterjan> 0.8.9-5.mga3
+ Revision: 389442
- Remove wrong build dependency

* Fri Jan 11 2013 sander85 <sander85> 0.8.9-4.mga3
+ Revision: 346549
- Fix build with GCC 4.7
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ dmorgan <dmorgan>
- Fix buildrequires

* Fri Mar 02 2012 malo <malo> 0.8.9-2.mga2
+ Revision: 216829
- fix summary and description (mga#4422)

* Tue Dec 13 2011 dmorgan <dmorgan> 0.8.9-1.mga2
+ Revision: 181128
- Remove mandriva occcurencies
+ bcornec <bcornec>
- Upload apt-mga from apt-mdv in Mandriva
- Created package structure for apt-mga.

